Jump to content
WrinklyNinja

[RELz] LOOT - Load Order Optimisation Tool

Recommended Posts

If you guys want someone who is willing to test a masterlist for Morrowind then I volonteer to test it since I now have both the retail and the Steam version of Morrowind installed at the same time. :)

I think what death_souls aka VM on TAL said here is interesting about LOOT.

Another thing that might be useful to know is about what mod user tool is the best tool to determine a conflict between two or more mods in a loadorder and that's TESPCD.

Share this post


Link to post
Share on other sites
On 4/7/2019 at 10:29 AM, pStyl3 said:

Support for "The Elder Scrolls III: Morrowind"

Let's discuss potential future support for Morrowind on GitHub.

I've read a little and I want to help, but without using LOOT with Morrowind support, shown here, there isn't much I can do.  So where can I download it?

I also have Morrowind for both Steam (vanilla) and retail (modded) installed at the same time, plus a lot of mods saved on my PC.

There is another thing you guys should know about and that's the Merged Object.esp, which can only be created in TESTool IIRC.  Abot has a lot of modding related stuff available on his site so check there.

A last thing, if anyone who is working with the "LOOT support Morrowind" project for LOOT should know what tools the Morrowind modding commuity use and they are.

Enchanted Editor (equal to xEDIT for FormID based games - Oblivion, Skyrim, Fallout 4)

TESPCD (very useful as a troubleshooting tool for mod issues since its primarily purpose is detecting mod conflicts)

Share this post


Link to post
Share on other sites
3 hours ago, Leonardo said:

I've read a little and I want to help, but without using LOOT with Morrowind support, shown here, there isn't much I can do.  So where can I download it?

(...)

Every help is welcome. Follow these instructions in order to use the snapshot with Morrowind support.

Share this post


Link to post
Share on other sites
18 hours ago, abbakab said:

The author of Moonpath to Elsweyr Sky and Lightning fix recommends loading his .esp after the Beyond Skyrim - Bruma Moonpath to Elsweyr Synergy Patch, but even after I edit the user metadata to try to force this, LOOT insists on loading them in the reverse order. How can I fix this, apart from manually reordering the .esp's after running LOOT?

What user metadata have you added?

Share this post


Link to post
Share on other sites
1 hour ago, abbakab said:

Just a "load after" rule.

Load after rules shouldn't allow anything to contradict them, if anything does it'll get ignored or cause a sorting error. Can you share your debug log after sorting?

Share this post


Link to post
Share on other sites
4 hours ago, WrinklyNinja said:

Load after rules shouldn't allow anything to contradict them, if anything does it'll get ignored or cause a sorting error. Can you share your debug log after sorting?

It seems the problem has resolved itself. It happened several times yesterday before I reported it here, but today LOOT seems to be obeying the "load after" rule. Regardless, I appreciate your replies. Thanks.

Share this post


Link to post
Share on other sites
On 5/19/2019 at 12:35 PM, pStyl3 said:

Every help is welcome. Follow these instructions in order to use the snapshot with Morrowind support.

I did and I pick the latest, but when I tried to download I got this error message.

Quote

<Error>

<Code>AccessDenied</Code>

<Message>Access denied</Message>

</Error>

What is wrong?

Share this post


Link to post
Share on other sites
On 5/20/2019 at 1:44 AM, abbakab said:

It seems the problem has resolved itself. It happened several times yesterday before I reported it here, but today LOOT seems to be obeying the "load after" rule. Regardless, I appreciate your replies. Thanks.

I added a rule to set the order. https://github.com/loot/skyrimse/commit/0d25e40a7efed11c7583458a24d3d04e3d3d0c3d

Just make sure it's LOOT and not the MO2 or Vortex sort, I'm not sure if they have the latest LOOT api.

Share this post


Link to post
Share on other sites
12 hours ago, Leonardo said:

I did and I pick the latest, but when I tried to download I got this error message.

What is wrong?

@LeonardoWhere are you receiving the error?

I think the file shown below in `loot/snapshots/loot#files/` is the latest with Morrowind support. @WrinklyNinjaIs that correct?

image.thumb.png.723d4c0ee2bb6a741234d769d9d193ab.png

 

Share this post


Link to post
Share on other sites

Yep, I clicked on that shown in the picture without been able to download the archive.  All I got was the error message I inlcuded in my previous post.

Share this post


Link to post
Share on other sites
On 5/21/2019 at 7:39 AM, cptmcsplody said:

@LeonardoWhere are you receiving the error?

I think the file shown below in `loot/snapshots/loot#files/` is the latest with Morrowind support. @WrinklyNinjaIs that correct?

image.thumb.png.723d4c0ee2bb6a741234d769d9d193ab.png

 

Yes, that's right.

On 5/21/2019 at 9:24 AM, Leonardo said:

Yep, I clicked on that shown in the picture without been able to download the archive.  All I got was the error message I inlcuded in my previous post.

Sorry for the late reply about this... There's no authentication requirement to download from Bintray, all I can think of is that there's something on your end that's giving you the error message, e.g. a proxy or VPN that's blocking Bintray downloads?

Share this post


Link to post
Share on other sites

TBH, I've no idea what's wrong since I never got such an error before. :shrug:

I don't use proxy, not I am aware of no and about VPN I have no clue whether I use it or not use it.

Share this post


Link to post
Share on other sites

Then you don't.  You need to set software for a VPN (I use one from time to time).

Share this post


Link to post
Share on other sites
On 6/5/2019 at 10:19 PM, WrinklyNinja said:

There's no authentication requirement to download from Bintray, all I can think of is that there's something on your end that's giving you the error message, e.g. a proxy or VPN that's blocking Bintray downloads?

Could the error I got be related to for using Firefox 56.x since GitHub doesn't support Firefox 56 anymore? :shrug:

That's the only thing I can think of.

If that's the case then please make the LOOT with Morrowind support archive available in the same way LOOT is today (working download link regardless what browser one use).

Share this post


Link to post
Share on other sites

Mod 81341 No Spell Tomes as Loot or from Vendors.  The optional file "No starter spells from Riverwood Trader - Requiem".  Requiem no longer has the Legendary Bugsmasher plugin, yet LOOT still shows an error for not having this plugin.

Share this post


Link to post
Share on other sites
On 6/24/2019 at 11:20 PM, aristotle99 said:

Mod 81341 No Spell Tomes as Loot or from Vendors.  The optional file "No starter spells from Riverwood Trader - Requiem".  Requiem no longer has the Legendary Bugsmasher plugin, yet LOOT still shows an error for not having this plugin.

Thanks @aristotle99

I pushed an update to resolve that issue.

No Vendor or Loot Spells - Replace Bugsmasher Req with Afters

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Support us on Patreon!

Patreon
×
×
  • Create New...